Subject: Re: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Yuri D'Elia <[email-masked]>
Date: Thu, 01 Sep 2016 16:39:19 +0200

On Thu, Sep 01 2016, Eli Zaretskii <[email-masked]> wrote:
> FWIW, I tried to use your recipe, but failed spectacularly.  mu4e
> refuses to run without a working mu installation.  I tried to build mu
> on my system, but was forced to give up after 2 hours of fighting with
> GMIME and mu itself to compile and work correctly on MS-Windows --
> there's too much Posix-only stuff there, and my quick & dirty
> workarounds were probably too quick and too dirty.  The best I could
> achieve is "mu index --rebuild" cheerfully tell me that it indexed
> zero mails, and then (mu4e) in Emacs complained that the database is
> empty and refused to continue.

Not too surprising. Cannot help you with windows here, but I could
actually provide a QEMU image preloaded with the test case if you want
(never tried qemu on windows, but I hope there's a way to do it?).

> So we are back to me asking questions and you answering them.

I'll attack this in a few hours.